Bug 32301 - up2date fails with undefined symbol: fdio
up2date fails with undefined symbol: fdio
Status: CLOSED DUPLICATE of bug 32698
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
: 32357 32409 32547 32759 33228 33391 33892 34737 34832 34900 35150 35378 35773 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-19 16:33 EST by David Leitko
Modified: 2015-01-07 18:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-22 10:10:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Leitko 2001-03-19 16:33:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)


installed/upgraded to the following packages per recent errata page:
db3-3.1.17-4.6x.i386.rpm         db3-devel-3.1.17-4.6x.i386.rpm
db3-utils-3.1.17-4.6x.i386.rpm   popt-1.6.2-6x.i386.rpm
rpm-4.0.2-6x.i386.rpm            rpm-build-4.0.2-6x.i386.rpm
rpm-devel-4.0.2-6x.i386.rpm 
now up2date fails as follows:
[1026 dvd@sapporo ~/rpms/applied]$ up2date -p
Password: 
Traceback (innermost last):
  File "/usr/sbin/up2date", line 9, in ?
    import rpm
ImportError: /usr/lib/librpm.so.0: undefined symbol: fdio


Reproducible: Always
Steps to Reproduce:
1. install db3 (RHEA-2001-015) errata dated 03/16/02
2. install rpm (RHSA-2001-016) errata dated 03/16/01
3. run up2date
	

Actual Results:  [1026 dvd@sapporo ~/rpms/applied]$ up2date -p
Password: 
Traceback (innermost last):
  File "/usr/sbin/up2date", line 9, in ?
    import rpm
ImportError: /usr/lib/librpm.so.0: undefined symbol: fdio


Expected Results:  up2date should have refreshed my packages list on 
RedHat Network

running RedHat 6.2, completely caught up on all errata.

already tried rebuilding rpm database with 'rpm --rebuilddb' no joy

The rpm 4.0.2 errata page suggests problems may occur with
applications that are statically linked against rpm libraries which
should either be upgraded or recompiled to use rpm-4.0.2 libraries.
I would have expected an up2date update were this the case.
Comment 1 Bill Nottingham 2001-03-19 22:04:05 EST
*** Bug 32357 has been marked as a duplicate of this bug. ***
Comment 2 Jeremy Katz 2001-03-20 14:02:25 EST
*** Bug 32409 has been marked as a duplicate of this bug. ***
Comment 3 Jeremy Katz 2001-03-21 13:49:15 EST
*** Bug 32547 has been marked as a duplicate of this bug. ***
Comment 4 Need Real Name 2001-03-21 14:54:47 EST
I am also experiencing this behavior, same configuration.

I noticed that the rpm-python package was not updated along with the other
rpm packages.  This may be unrelated.
Comment 5 westbrook 2001-03-21 15:25:21 EST
This happens to me also as result of the same updates.  Its on a RH 6.2 
system.  Thanks.
Comment 6 Jan Carlson 2001-03-22 09:23:16 EST
Today's rpm-python-4.0.2-6x seems to fix up2date and rhn_register,
but gnorpm and ucd-snmp still say:
   error in loading shared libraries: /usr/lib/librpm.so.0: undefined symbol:
fdio
Comment 7 Need Real Name 2001-03-22 10:10:45 EST
I can not run ANY rpm programs now - All of them fail with this same error from 
the command line or from Gnome.  I updated my 6.2 system exactly as above and 
have the same errors - totally reproducable.  I also have tried rpm --rebuilddb 
and also experienced no joy.

I am now dead in the water in that I can not install or upgrade any packages.
Comment 8 Preston Brown 2001-03-22 11:54:11 EST
you need to make sure you get the new rpm-python.

I believe there may be issues with gnorpm and ucd-snmp, investigating.


*** This bug has been marked as a duplicate of 32698 ***
Comment 9 Preston Brown 2001-03-26 18:42:30 EST
*** Bug 32759 has been marked as a duplicate of this bug. ***
Comment 10 Preston Brown 2001-03-26 18:43:51 EST
*** Bug 33228 has been marked as a duplicate of this bug. ***
Comment 11 Preston Brown 2001-03-27 10:53:55 EST
*** Bug 33391 has been marked as a duplicate of this bug. ***
Comment 12 R.K.Aa. 2001-03-27 11:34:35 EST
See bug 33085
Comment 13 Preston Brown 2001-03-28 13:41:31 EST
*** Bug 33391 has been marked as a duplicate of this bug. ***
Comment 14 Preston Brown 2001-03-30 21:50:30 EST
*** Bug 33892 has been marked as a duplicate of this bug. ***
Comment 15 Preston Brown 2001-04-04 15:02:00 EDT
*** Bug 34737 has been marked as a duplicate of this bug. ***
Comment 16 Preston Brown 2001-04-06 13:50:49 EDT
*** Bug 34900 has been marked as a duplicate of this bug. ***
Comment 17 Preston Brown 2001-04-07 11:44:58 EDT
*** Bug 34832 has been marked as a duplicate of this bug. ***
Comment 18 Preston Brown 2001-04-08 11:34:57 EDT
*** Bug 35150 has been marked as a duplicate of this bug. ***
Comment 19 Preston Brown 2001-04-10 16:10:18 EDT
*** Bug 35378 has been marked as a duplicate of this bug. ***
Comment 20 Preston Brown 2001-04-12 17:02:50 EDT
*** Bug 35773 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.